%define name            jboss
%define version         3.0.6
%define release         1jpp
%define section         free

%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc

%define jbossdir        %{_var}/%{name}
%define initdir         %{_sysconfdir}/rc.d/init.d
%define logdir          %{_var}/log

# -----------------------------------------------------------------------------

Summary:        JBoss J2EE/EJB server
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        LGPL
Group:          Internet/WWW/Servers
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://www.jboss.org/
Source0:        http://download.sourceforge.net/jboss/jboss-3.0.6-src.tgz
Source1:        %{name}.init
# Not in use, but let's keep this around.
Source2:        %{name}.logrotate
Source3:        %{name}.conf
Patch0:         %{name}-jpackage.patch
Patch1:         %{name}-shutdown.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  ant, ant-optional, avalon-excalibur, bcel, oldbsf, crimson
BuildRequires:  gnu.getopt, gnu.regexp, jakarta-commons-logging
BuildRequires:  jdom, junit, log4j, saxon, servlet23, soap, xalan-j2, xerces-j2
BuildRequires:  xml-commons-apis
Requires:       ant, bcel, crimson, gnu.getopt, gnu.regexp
Requires:       jakarta-commons-logging, log4j, servlet23, xalan-j2
Requires:       xml-commons-apis

%description
JBoss was started in March 1999. Now reaching the 3.0 series JBoss is
a mature appserver. It has grown way beyond its original scope. While
JBoss started as, and still is, an EJB container, today JBoss does the
full J2EE stack and beyond J2EE, it is a full-fledged award winning
java app-server downloaded more than 150,000 times a month. It is the
template of things to come.

See <http://www.jboss.org/> for more information.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p0

# Replace selected jars with JPackage ones.
#
# *** Review this list between releases! ***
#
# To do that, run the prepare section (without --clean), cd to BUILD/jboss*
# and do a "find . -type f -name '*.jar'" (that won't pick up symlinked ones).
# Also check that there are no dangling leftover symlinks from previous
# versions.

ln -sf %{javadir}/ant.jar tools/lib/ant.jar
ln -sf %{javadir}/ant-optional.jar tools/lib/optional.jar
ln -sf %{javadir}/avalon-excalibur.jar \
  thirdparty/apache/excalibur/lib/clutil.jar
ln -sf %{javadir}/bcel.jar thirdparty/apache/bcel/lib/bcel.jar
ln -sf %{javadir}/oldbsf.jar tools/lib/bsf.jar
ln -sf %{javadir}/oldbsf.jar thirdparty/ibm/bsf/lib/bsf.jar
ln -sf %{javadir}/crimson.jar thirdparty/sun/jaxp/lib/crimson.jar
ln -sf %{javadir}/crimson.jar tools/lib/crimson.jar
ln -sf %{javadir}/gnu.getopt.jar thirdparty/gnu/getopt/lib/getopt.jar
ln -sf %{javadir}/gnu.regexp.jar thirdparty/gnu/regexp/lib/gnu-regexp.jar
ln -sf %{javadir}/commons-logging.jar \
  thirdparty/apache/log4j/lib/commons-logging.jar
ln -sf %{javadir}/jdom.jar thirdparty/jdom/beta-7/lib/jdom.jar
ln -sf %{javadir}/junit.jar tools/lib/junit.jar
ln -sf %{javadir}/junit.jar thirdparty/junit/junit/lib/junit.jar
ln -sf %{javadir}/log4j.jar thirdparty/apache/log4j/lib/log4j.jar
ln -sf %{javadir}/log4j.jar tools/lib/log4j-core.jar
ln -sf %{javadir}/saxon.jar tools/lib/saxon.jar
ln -sf %{javadir}/servletapi4.jar thirdparty/sun/servlet/lib/servlet.jar
ln -sf %{javadir}/soap.jar \
  testsuite/src/resources/web/html/jbosstest/WEB-INF/lib/soap-2_2.jar
ln -sf %{javadir}/xalan-j2.jar thirdparty/sun/jaxp/lib/xalan.jar
ln -sf %{javadir}/xalan-j2.jar tools/lib/xalan.jar
ln -sf %{javadir}/xerces-j2.jar thirdparty/apache/xerces/lib/xercesImpl.jar
ln -sf %{javadir}/xerces-j2.jar tools/lib/xerces.jar
ln -sf %{javadir}/xml-commons-apis.jar \
  thirdparty/apache/xerces/lib/xmlParserAPIs.jar
ln -sf %{javadir}/xml-commons-apis.jar thirdparty/sun/jaxp/lib/jaxp.jar
# xml-commons-apis has sax2-ext, sax2 inside (this may be redundant, though)
ln -sf %{javadir}/xml-commons-apis.jar thirdparty/xml/sax/lib/sax2.jar
ln -sf %{javadir}/xml-commons-apis.jar thirdparty/xml/sax/lib/sax2-ext.jar
ln -sf %{javadir}/xml-commons-apis.jar tools/lib/jaxp.jar

# Some stuff to take a look at in future releases:
# thirdparty/apache/axis/lib/axis.jar
# thirdparty/exolab/castor/lib/castor.jar
# *** using our tyrex-1.0-1jpp will cause the server not to boot cleanly
# thirdparty/exolab/tyrex/lib/tyrex.jar
# thirdparty/gjt/jpl-util/lib/jpl-pattern.jar
# thirdparty/gjt/jpl-util/lib/jpl-util.jar
# thirdparty/hsqldb/hsqldb/lib/hsqldb.jar
# *** needs an older (?) wsdl4j than we have (1.1 doesn't work)
# thirdparty/ibm/wsdl4j/lib/wsdl4j.jar
# thirdparty/jacorb/jacorb/lib/jacorb.jar
# *** needs a newer javagroups official release (2.0.3 doesn't work)
# *** see org.javagroups.MessageListener in CVS
# *** CVS tag 2_0_6 would look ok.
# thirdparty/javagroups/javagroups/lib/javagroups-2.0.jar
# thirdparty/junitejb/junitejb/lib/junitejb.jar
# thirdparty/oswego/concurrent/lib/concurrent.jar
# thirdparty/techtrader/tt-bytecode/lib/tt-bytecode.jar
# tools/lib/JavaStyle.jar
# tools/lib/pretty.jar
# tools/lib/remote-mbeanserver.jar
# tools/lib/xdoclet.jar
# tools/lib/xjavadoc.jar
# ...and various non-freebies in thirdparty/sun/*

# -----------------------------------------------------------------------------

%build

# - Must use build.sh, can't build with our ant script.
# - JAVA_HOME must be set.
# - JAVA_HOME/bin must be in PATH, otherwise jjtree won't start during build.
# - I haven't been able to build with IBM's 1.3, Sun's 1.3 works ok.

echo ""                            >> build/local.properties
echo "build.compiler=modern"       >> build/local.properties
# The following applies to at least Java 1.3.x versions:
echo "build.sysclasspath=last"     >> build/local.properties
export CLASSPATH=\
%{javadir}/xml-commons-apis.jar:\
%{javadir}/jaxp_parser_impl.jar

cd build
./build.sh

# TODO: javadocs

# TODO: Unit tests reports would be nice to include, maybe:
# - start up JBoss (using the "all" config) and hardcoded ports in the tests:
#   JETTY_PORT=8080 JETTY_PORT_SSL=8443 JETTY_PORT_AJP=8009 ./run.sh -c all
# - cd to testsuite
# - LANG=C ./build.sh tests

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{jbossdir},%{initdir}}
# %{_sysconfdir}/logrotate.d}

cp -a build/output/%{name}-%{version}/{bin,client,lib,server} \
  $RPM_BUILD_ROOT%{jbossdir}/
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbossdir}/docs
rm $RPM_BUILD_ROOT%{jbossdir}/bin/{jboss_init_redhat.sh,*.bat}

for server in all default minimal; do
  mkdir -p $RPM_BUILD_ROOT%{_var}/log/jboss/$server
  mkdir -p $RPM_BUILD_ROOT%{_var}/cache/jboss/$server
  mkdir -p $RPM_BUILD_ROOT%{jbossdir}/server/$server/db
  ln -s %{_var}/log/jboss/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
  ln -s %{_var}/cache/jboss/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
done

# @@@ TODO: use a find script to generate filelists for files section?

sed -e 's;__VAR__;%{_var};g' \
  -e 's;__INITDIR__;%{initdir};g' \
  -e 's;__ETC__;%{_sysconfdir};g' \
  < %{SOURCE1} > $RPM_BUILD_ROOT%{initdir}/jboss

# sed -e 's;__JBOSS_HOME__;%{jbossdir};g' \
#   < %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/jboss

sed -e 's;__JBOSS_HOME__;%{jbossdir};g' \
  -e 's;__ETC__;%{_sysconfdir};g' \
  -e 's;__BINDIR__;%{_bindir};g' \
  < %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/jboss.conf

cd $RPM_BUILD_ROOT%{jbossdir}/lib
ln -sf %{javadir}/crimson.jar crimson.jar
ln -sf %{javadir}/gnu.getopt.jar getopt.jar
ln -sf %{javadir}/gnu.regexp.jar gnu-regexp.jar
ln -sf %{javadir}/xml-commons-apis.jar jaxp.jar
# Note: not replacing lib/log4j-boot.jar with our (full) one.
cd $RPM_BUILD_ROOT%{jbossdir}/client
ln -sf %{javadir}/log4j.jar log4j.jar
ln -sf ../lib/gnu-regexp.jar gnu-regexp.jar
cd $RPM_BUILD_ROOT%{jbossdir}/server/all/lib
for jar in *.jar; do
  if [ -e ../../../client/$jar ]; then
    ln -sf ../../../client/$jar $jar
  fi
done
ln -sf %{javadir}/ant.jar ant.jar
ln -sf %{javadir}/bcel.jar bcel.jar
ln -sf %{javadir}/commons-logging.jar commons-logging.jar
ln -sf %{javadir}/servletapi4.jar javax.servlet.jar
ln -sf %{javadir}/xalan-j2.jar xalan.jar
cd $RPM_BUILD_ROOT%{jbossdir}/server/default/lib
for jar in *.jar; do
  if [ -e ../../all/lib/$jar ]; then
    ln -sf ../../all/lib/$jar $jar
  fi
done
cd $RPM_BUILD_ROOT%{jbossdir}/server/minimal/lib
for jar in *.jar; do
  if [ -e ../../all/lib/$jar ]; then
    ln -sf ../../all/lib/$jar $jar
  fi
done

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%pre
JBOSS_SHELL=/bin/false
[ -x /sbin/nologin ] && JBOSS_SHELL=/sbin/nologin
useradd -c JBoss -r -s $JBOSS_SHELL -d %{jbossdir} jboss 2>/dev/null || :

%preun
if [ "$1" = "0" ]; then
  # on erase
  service jboss stop > /dev/null 2>&1
  chkconfig --del jboss
fi

%post
chkconfig --add jboss
# We need this because the server/{log,tmp} dirs are ghosts (which in turn
# we need for smooth upgrade experience from previous versions).
for server in all default minimal; do
  if [ ! -e %{jbossdir}/server/$server/log ]; then
    ln -sf %{_var}/log/jboss/$server %{jbossdir}/server/$server/log
  fi
  if [ ! -e %{jbossdir}/server/$server/tmp ]; then
    ln -sf %{_var}/cache/jboss/$server %{jbossdir}/server/$server/tmp
  fi
done

%postun
if [ "$1" -ge "1" ]; then
  # on upgrade
  service jboss condrestart >/dev/null 2>&1
fi
if [ "$1" = "0" ]; then
  # on erase
  userdel jboss > /dev/null 2>&1 || :
fi  

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc build/output/%{name}-%{version}/docs/*

%attr(0755,root,root) %{initdir}/jboss
%config(noreplace) %{_sysconfdir}/jboss.conf
# %config %{_sysconfdir}/logrotate.d/jboss
%dir %{jbossdir}
%dir %{jbossdir}/bin
%{jbossdir}/bin/*.jar
%attr(0755,root,root) %{jbossdir}/bin/*.sh
%{jbossdir}/docs
%{jbossdir}/lib
%dir %{jbossdir}/server
%dir %{_var}/cache/jboss
%attr(-,jboss,jboss) %{_var}/cache/jboss/*
%dir %{_var}/log/jboss
%attr(-,jboss,jboss) %{_var}/log/jboss/*

# jboss/client dir
%dir %{jbossdir}/client
%{jbossdir}/client/*.jar
%{jbossdir}/client/cacerts
%config(noreplace) %{jbossdir}/client/*.conf
%config(noreplace) %{jbossdir}/client/*.xml

# jboss/server/all
%attr(-,jboss,jboss) %dir %{jbossdir}/server/all
%dir %{jbossdir}/server/all/conf
%config(noreplace) %{jbossdir}/server/all/conf/*
# Need write access to this.  Listed twice (see above) but we don't care :)
%attr(-,jboss,jboss) %config(noreplace) %{jbossdir}/server/all/conf/jbossmq-state.xml
%dir %{jbossdir}/server/all/deploy
%config(noreplace) %{jbossdir}/server/all/deploy/*.xml
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/all/db
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/all/log
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/all/tmp

%{jbossdir}/server/all/deploy/*.jar
%{jbossdir}/server/all/deploy/*.rar
%{jbossdir}/server/all/deploy/jboss-net.sar
%{jbossdir}/server/all/deploy/jbossha-httpsession.sar
%{jbossdir}/server/all/deploy/jmx-ejb-connector-server.sar

%dir %{jbossdir}/server/all/deploy/http-invoker.sar
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/META-INF
%{jbossdir}/server/all/deploy/http-invoker.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/all/deploy/http-invoker.sar/META-INF/*.xml
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war
%{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/META-INF
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF
%config(noreplace) %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/*.xml
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/*.properties
%{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org

%dir %{jbossdir}/server/all/deploy/jbossweb.sar
%{jbossdir}/server/all/deploy/jbossweb.sar/*.?ar
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/*.xml
%dir %{jbossdir}/server/all/deploy/jbossweb.sar/META-INF
%{jbossdir}/server/all/deploy/jbossweb.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/META-INF/*.xml

%dir %{jbossdir}/server/all/deploy/jmx-console.war
%{jbossdir}/server/all/deploy/jmx-console.war/*.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/*.css
%{jbossdir}/server/all/deploy/jmx-console.war/images
%{jbossdir}/server/all/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/*.xml
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/*.properties
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org

%dir %{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar
%dir %{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar/META-INF
%{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar/META-INF/*.xml
%{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar/org

%{jbossdir}/server/all/lib

# jboss/server/default
%attr(-,jboss,jboss) %dir %{jbossdir}/server/default
%dir %{jbossdir}/server/default/conf
%config(noreplace) %{jbossdir}/server/default/conf/*
# Need write access to this.  Listed twice (see above) but we don't care :)
%attr(-,jboss,jboss) %config(noreplace) %{jbossdir}/server/default/conf/jbossmq-state.xml
%dir %{jbossdir}/server/default/deploy
%config(noreplace) %{jbossdir}/server/default/deploy/*.xml
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/default/db
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/default/log
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/default/tmp

%{jbossdir}/server/default/deploy/*.jar
%{jbossdir}/server/default/deploy/*.rar
%{jbossdir}/server/default/deploy/jmx-ejb-connector-server.sar

%dir %{jbossdir}/server/default/deploy/http-invoker.sar
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/META-INF
%{jbossdir}/server/default/deploy/http-invoker.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/META-INF/*.xml
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/META-INF
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/*.xml
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/*.properties
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org

%dir %{jbossdir}/server/default/deploy/jbossweb.sar
%{jbossdir}/server/default/deploy/jbossweb.sar/*.?ar
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/*.xml
%dir %{jbossdir}/server/default/deploy/jbossweb.sar/META-INF
%{jbossdir}/server/default/deploy/jbossweb.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/META-INF/*.xml

%dir %{jbossdir}/server/default/deploy/jmx-console.war
%{jbossdir}/server/default/deploy/jmx-console.war/*.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/*.css
%{jbossdir}/server/default/deploy/jmx-console.war/images
%{jbossdir}/server/default/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/*.xml
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/*.properties
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org

%dir %{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar
%dir %{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar/META-INF
%{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar/META-INF/*.xml
%{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar/org

%{jbossdir}/server/default/lib

# jboss/server/minimal
%attr(-,jboss,jboss) %dir %{jbossdir}/server/minimal
%dir %{jbossdir}/server/minimal/conf
%config(noreplace) %{jbossdir}/server/minimal/conf/*
%dir %{jbossdir}/server/minimal/deploy
%config(noreplace) %{jbossdir}/server/minimal/deploy/*.xml
# %{jbossdir}/server/minimal/deploy/*.?ar
%{jbossdir}/server/minimal/lib
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/minimal/db
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/minimal/log
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/minimal/tmp

# -----------------------------------------------------------------------------

%changelog
* Wed Jan 29 2003 Ville Skytt <ville.skytta at iki.fi> - 3.0.6-1jpp
- Update to 3.0.6.
- Fix buggy shutdown.
- Built with Sun 1.3.1_07 javac.

* Thu Jan 23 2003 Ville Skytt <ville.skytta at iki.fi> - 3.0.5-2jpp
- Rebuild due to bsf -> oldbsf rename.
- Disabled logrotate for now as JBoss comes with rotating capabilities of
  its own, see JBOSS_HOME/server/*/conf/log4j.xml.
- jboss.conf comment updates.

* Sun Jan 19 2003 Ville Skytt <ville.skytta at iki.fi> - 3.0.5-1jpp
- Build from sources, using selected JPackage RPMs (not all yet).
- Reduce package size by symlinking identical jars.
- Export all necessary vars in init script.
- Init script and config files marking tweaks from Marko Myllynen.
- Built with Sun JDK 1.3.1_06 (no Jikes), doesn't build with IBM's 1.3.1.
- Relocate tmp and log dirs under %%{_var}/cache and %%{_var}/log.
- Make jboss own jbossmq-state.xml (need write access, at least for testsuite).
  *** Upgraders please note ***
    Upgrading from previous JPackage JBoss RPMs will not relocate your
    tmp and log dirs, but it will create new ones under /var.
    In a fresh installation, the server/[yourserver]/log dir is symlinked
    to /var/log/jboss/[yourserver] and server/[yourserver]/tmp to
    /var/cache/jboss/[yourserver]; you may want to do this manually.
    Nothing will be broken if you don't do this, though.

* Thu Nov 14 2002 Ville Skytt <ville.skytta at iki.fi> - 3.0.4-3jpp
- Fixed init script shutdown breakage introduced in -2jpp, thanks to
  Mikael Gueck for the fix.  The bug is only in /etc/jboss.conf, so be
  sure to take the new one from this RPM into use.

* Mon Nov 11 2002 Ville Skytt <ville.skytta at iki.fi> - 3.0.4-2jpp
- Made HTTP, HTTPS and AJP ports configurable via jboss.conf, no more
  conflicting defaults with tomcat4; thanks again to Marko Myllynen for
  the idea.

* Thu Nov  7 2002 Ville Skytt <ville.skytta at iki.fi> - 3.0.4-1jpp
- JPackagified version of Marko Myllynen's RPM contribution.  Thanks!
- Updated to 3.0.4.
- Removed fixed jboss uid (94), it would conflict with our tomcat3 user.
- Two small known problems: this uses the same default HTTP port as our
  tomcat4, and throws some exceptions at startup with Java 1.3.1
  (IBM; but starts up with it anyway).

* Tue Oct  1 2002 Marko Myllynen
- updated to version 3.0.3 final
- sleep more when shutting down

* Wed Sep  4 2002 Marko Myllynen
- updated to version 3.0.2 final

* Tue Aug 20 2002 Marko Myllynen
- updated to version 3.0.1 final

* Mon Jun 17 2002 Marko Myllynen
- run as user jboss

* Mon Jun  3 2002 Marko Myllynen
- updated to version 3.0.0 final

* Tue May 21 2002 Marko Myllynen
- updated to jboss version 3.0.0RC3

* Fri May 10 2002 Marko Myllynen
- initial version, jboss version 3.0.0RC2
- portions based on scripts by Jason Corley
